Bug 308121 - error dialog when mounting encrypted USB stick
Summary: error dialog when mounting encrypted USB stick
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-26 21:49 UTC by Ulrich Drepper
Modified: 2013-03-06 03:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-25 03:57:57 UTC


Attachments (Terms of Use)

Description Ulrich Drepper 2007-09-26 21:49:20 UTC
Description of problem:
Automatic mounting of an encrypted USB stick works.  The keyring is queries etc.
 But at the end of the mounting process a dialog pops up:


    Cannot mount volume.

    Error org.freedesktop.Hal.Device.UnknownError

    Details
                 An unknown error occured

(I don't post a screenshot, this text is all there is).  There are no messages
in any of the log file.

And I also don't see why.  The mount actually was successful.

The only issue is that sometimes the umount (using right-click on the icon on
the desktop) does not work.  Or not completely and the mount point directory is
left behind.


Version-Release number of selected component (if applicable):
hal-0.5.10-0.git20070925.fc8.i386

How reproducible:
always

Steps to Reproduce:
1.get encrypted USB stick (I use cryptset-luks)
2.plug in
3.
  
Actual results:
above dialog

Expected results:
no dialog and no problems while unmounting

Additional info:

Comment 1 Ulrich Drepper 2007-10-16 23:49:11 UTC
Same memory stick, different machine, this time freshly installed F8t3 (instead
of updated from F8t1).  Here everything just works.  One difference (beside the
updating) is that on this machine I started out from a clean keyring instead of
keeping the old /home around on the other machine.

Comment 2 Bug Zapper 2008-04-04 13:55:33 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Ulrich Drepper 2008-08-25 03:57:57 UTC
I haven't seen this problem in a long time, maybe never with F9, I cannot say for sure.  I close the bug, anybody hitting it can use F9.


Note You need to log in before you can comment on or make changes to this bug.